## gatos 0.0.4

=== gatos-0.0.4/Makefile ===
############################# User Options: ################################

# Char hashing - consumes more memory in favor of speed
HASH_CHARS=-DHASH_CHARS

# Choose one (and only one) of these:
#CC=gcc -Wall -pipe $(OPT)
CC=gcc -Wall -pipe $(DBG)

# XFree86 Extensions Support - Use the following to include DGA and VMODE
#
XFREELIBS=-lXxf86dga -lXxf86vm -lXext
XFREEDEFS=-DUSE_DGA -DUSE_VMODE
#
# Use the following for non XFree86 systems or to not want XFree86 Extensions
#
# XFREELIBS=
# XFREEDEFS=


########################### The rest should be OK: #########################

OPT= -O4
DBG= -g
LD=gcc

MAJOR=  0
MINOR=  0
INSTLIBDIR= /usr/local/lib
SHARE=  libgatos.so
SHAREF= libgatos.so.$(MAJOR).$(MINOR)
SHAREN= libgatos.so.$(MAJOR)
ARC=	libgatos.a

# Warning!  It is not a good idea to use shared libs at this point.  
# They can cause many problems.
#
# Use the following to have a shared lib produced for gatos
# USELIB=	$(SHAREF)
#
# or use this one for just the non-shared version
USELIB=	$(ARC)
#
#Note that you probably need to have /usr/local/lib included in your 
# /etc/ld.so.conf file for the program to run.

# C++ Compiler #
LXX=g++
CXX=g++ -Wall -pipe $(OPT)

XLIBSDIR=-L/usr/X11R6/lib
XINCSDIR=-I/usr/X11R6/include
XLIBS=-lX11
INSTALLDIR=/usr/local/bin

# Uncomment the following to output the raw cc (except 0)
#CCFLAG=-DCCTEST
# Uncomment the following to output the raw eds (except 0)
#CCFLAG=-DCCTEST -DEDSTEST

# Uncomment the following two lines to enable the the curses CC output
# instead of the overlay
#CURS=-DCC_CURSES
#CURF=ccshow.o -lncurses

# Choose one (and only one) of these:
# 1: Use delay.S from Linux kernel sources (2.0.36).
DEFS=-DUSE_DELAY_S $(XFREEDEFS) 
DELAY=delay.o
# 2: Use i2c_delay in i2c.c.
#DEFS=
#DELAY=

INCS=$(XINCSDIR)
OBJS=gatos.o channels.o ati.o board.o bt829.o fi12xx.o sound.o \
     tvout.o saa5281.o pci.o i2c.o cc.o $(DELAY)

all: xatitv atitv yuvsum atitojpg atitogif atitoppm scanpci atisplit

test: aiwtv
	sync
	./aiwtv

tgz: realclean
	(DIR1=`pwd` ; DIR=$${DIR1%/}; cd .. ; \
	tar cvf - "--exclude=*/CVS" $${DIR##*/} | gzip - > $${DIR##*/}.tar.gz )

floppy: tgz
	(DIR1=`pwd` ; DIR=$${DIR1%/}; cd .. ; \
	cp -pf $${DIR##*/}.tar.gz /a/gatos.tgz )

realclean: clean
	rm -f xatitv atitv yuvsum atitojpg atitogif atitoppm atisplit scanpci bin2c cp850_8x16.inc iso01mod_8x16.inc

clean:
	rm -f libgatos.a *.bck *.o core gatos.yuv libgatos.so.*

$(ARC):	$(OBJS)
	ar rcs $(ARC) $(OBJS)

$(SHAREF): $(OBJS) *.h $(ALL) $(ARC)
	ld -share -soname $(SHAREN) -o $(SHAREF) --whole-archive $(ARC)

xatitv:  xatitv.o $(USELIB) xutils.o $(CURF)
	$(LXX) -o xatitv xatitv.o $(CURF) xutils.o $(XLIBSDIR) $(XLIBS) $(XFREELIBS) \
		$(USELIB) -libtk

xatitv.o: xatitv.cpp gatos.h sound.h cc.h
	$(CXX) $(DEFS) $(CURS) $(INCS) -c xatitv.cpp

atitv:  atitv.o $(USELIB)
	$(LXX) -o atitv atitv.o $(XLIBSDIR) $(XLIBS) $(XFREELIBS) $(USELIB)

atitv.o: atitv.c gatos.h sound.h cc.h
	$(CC) $(DEFS) $(INCS) -c atitv.c

xutils.o: xutils.c xutils.h gatos.h cp850_8x16.inc iso01mod_8x16.inc
	$(CC) -O4 $(DEFS) $(HASH_CHARS) $(INCS) -c xutils.c

cc.o: cc.c gatos.h cc.h
	$(CC) $(DEFS) $(CCFLAG) $(INCS) -c cc.c

ccshow.o: ccshow.c cc.h
	$(CC) $(DEFS) $(CCFLAG) $(INCS) -c ccshow.c

cp850_8x16.inc: bin2c cp850-8x16
	./bin2c cp850-8x16 cp850_8x16 > cp850_8x16.inc

iso01mod_8x16.inc: bin2c iso01mod-8x16
	./bin2c iso01mod-8x16 iso01mod_8x16 > iso01mod_8x16.inc

bin2c: bin2c.c
	$(CC) bin2c.c -o bin2c

gatos.o: gatos.c gatos.h channels.h atiregs.h pci.h i2c.h \
	ati.h tvout.h board.h bt829.h fi12xx.h sound.h saa5281.h
	$(CC) $(DEFS) $(INCS) -c gatos.c

channels.o: channels.c gatos.h channels.h
	$(CC) $(DEFS) $(INCS) -c channels.c

ati.o: ati.c gatos.h ati.h atiregs.h
	$(CC) $(DEFS) $(INCS) -c ati.c

board.o: board.c gatos.h board.h atiregs.h i2c.h bt829.h fi12xx.h
	$(CC) $(DEFS) $(INCS) -c board.c

bt829.o: bt829.c gatos.h bt829.h i2c.h
	$(CC) $(DEFS) $(INCS) -c bt829.c

fi12xx.o: fi12xx.c gatos.h fi12xx.h board.h bt829.h i2c.h
	$(CC) $(DEFS) $(INCS) -c fi12xx.c

sound.o: sound.c gatos.h sound.h
	$(CC) $(DEFS) $(INCS) -c sound.c

saa5281.o: saa5281.c gatos.h saa5281.h i2c.h
	$(CC) $(DEFS) $(INCS) -c saa5281.c

pci.o: pci.c gatos.h pci.h atiregs.h
	$(CC) $(DEFS) $(INCS) -c pci.c

i2c.o: i2c.c gatos.h i2c.h ati.h atiregs.h tvout.h
	$(CC) $(DEFS) $(INCS) -c i2c.c

tvout.o: tvout.c gatos.h tvout.h atiregs.h
	$(CC) $(DEFS) $(INCS) -c tvout.c

delay.o: delay.S
	gcc -D__KERNEL__ -D__ASSEMBLY__ -traditional -c delay.S

yuvsum: yuvsum.c
	$(CC) $(DEFS) $(INCS) -o yuvsum yuvsum.c

atitojpg: atitojpg.c
	$(CC) $(DEFS) $(INCS) -o atitojpg atitojpg.c

atitogif: atitogif.c
	$(CC) $(DEFS) $(INCS) -o atitogif atitogif.c

atitoppm: atitoppm.c
	$(CC) $(DEFS) $(INCS) -o atitoppm atitoppm.c

atisplit: atisplit.c
	$(CC) $(DEFS) $(INCS) -o atisplit atisplit.c

scanpci: scanpci.c
	gcc -o scanpci scanpci.c

install: xatitv atitv yuvsum atitoppm atitogif atitojpg atisplit 
	install -d $(INSTALLDIR)
	install -s -o root -m 04755 xatitv $(INSTALLDIR)
	install -s -o root -m 04755 atitv $(INSTALLDIR)
	install -s yuvsum $(INSTALLDIR)
	install -s atitojpg $(INSTALLDIR)
	install -s atitogif $(INSTALLDIR)
	install -s atitoppm $(INSTALLDIR)
	install -s atisplit $(INSTALLDIR)

install_$(SHAREF): $(SHAREF) install_$(ARC)
	install -d $(INSTLIBDIR)
	install $(SHAREF) $(INSTLIBDIR)
	ln -sf $(SHAREN) $(INSTLIBDIR)/$(SHARE)
	ldconfig

install_$(ARC):	$(ARC)
	install -d $(INSTLIBDIR)
	install $(ARC) $(INSTLIBDIR)

=== ibtk-0.0.14-pre2/Makefile ===
INSTDIR:=	/usr/local/
CC:=	g++ -s -Wall
LIBS:=	-L/usr/X11/lib -lX11
ALL:=	Makefile
OBJS:=	iwindow.o ibutton.o isbutton.o ibox.o iintbox.o istatbar.o \
	itextbox.o idialogs.o ilistbox.o igbox.o irealbox.o islider.o 
ARC:=	libibtk.a
TSTR=	$(shell date +"%Y%m%d%H%M")

MAJOR=	0
MINOR=	0
SHARE=	libibtk.so
SHAREF=	libibtk.so.$(MAJOR).$(MINOR)
SHAREN=	libibtk.so.$(MAJOR)

# use make share_install to produce and install the shared lib
# You probably need to add /usr/local/lib to your /etc/ld.so.conf file.

all:	libibtk.a

test:	main.o $(ARC) *.h $(ALL)
	$(CC) -o main main.o $(ARC) $(LIBS)

tar:	iwindow.cpp
	cd .. ;	tar czvf ~/c/archive/ibtk.$(TSTR).tar.gz \
                ibtk/*.cpp ibtk/*.[hc] ibtk/Makefile

$(ARC):	$(OBJS) *.h $(ALL)
	ar rcs $(ARC) $(OBJS)

$(SHAREF): $(OBJS) *.h $(ALL) $(ARC)
	ld -share -soname $(SHAREN) -o $(SHAREF) --whole-archive $(ARC)

iwindow.o:	iwindow.cpp *.h $(ALL)
	$(CC) -c iwindow.cpp


ibutton.o:	ibutton.cpp *.h $(ALL)
	$(CC) -c ibutton.cpp

isbutton.o:	isbutton.cpp *.h $(ALL)
	$(CC) -c isbutton.cpp

ibox.o:	ibox.cpp *.h $(ALL)
	$(CC) -c ibox.cpp

iintbox.o:	iintbox.cpp *.h $(ALL)
	$(CC) -c iintbox.cpp

irealbox.o:	irealbox.cpp *.h $(ALL)
	$(CC) -c irealbox.cpp

istatbar.o:	istatbar.cpp *.h $(ALL)
	$(CC) -c istatbar.cpp

islider.o:	islider.cpp *.h $(ALL)
	$(CC) -c islider.cpp

itextbox.o:	itextbox.cpp *.h $(ALL)
	$(CC) -c itextbox.cpp

ilistbox.o:	ilistbox.cpp *.h $(ALL)
	$(CC) -c ilistbox.cpp

igbox.o:	igbox.cpp *.h $(ALL)
	$(CC) -c igbox.cpp

main.o:	main.cpp *.h $(ALL)
	$(CC) -c main.cpp

idialogs.o:	idialogs.cpp *.h $(ALL)
	$(CC) -c idialogs.cpp

clean: main.cpp
	rm -f *.[oa] libibtk.so.* main core

install:	*.h libibtk.a
	install -d $(INSTDIR)/lib
	install libibtk.a $(INSTDIR)/lib
	install -d $(INSTDIR)/include/ibtk/
	install ibox.h $(INSTDIR)/include/ibtk/
	install ibutton.h $(INSTDIR)/include/ibtk/
	install idialogs.h $(INSTDIR)/include/ibtk/
	install idodad.h $(INSTDIR)/include/ibtk/
	install igbox.h $(INSTDIR)/include/ibtk/
	install iintbox.h $(INSTDIR)/include/ibtk/
	install ilistbox.h $(INSTDIR)/include/ibtk/
	install irealbox.h $(INSTDIR)/include/ibtk/
	install isbutton.h $(INSTDIR)/include/ibtk/
	install islider.h $(INSTDIR)/include/ibtk/
	install istatbar.h $(INSTDIR)/include/ibtk/
	install itextbox.h $(INSTDIR)/include/ibtk/
	install iwindow.h $(INSTDIR)/include/ibtk/
	install version.h $(INSTDIR)/include/ibtk/
	install pclaim.h $(INSTDIR)/include/ibtk/

install_share: install $(SHAREF)
	install -d $(INSTDIR)/lib
	install $(SHAREF) $(INSTDIR)/lib
	ln -sf $(SHAREN) $(INSTDIR)/lib/$(SHARE)
	ldconfig

## gatos 0.0.5

=== debian/changelog ===
gatos (0.0.5-22) unstable; urgency=medium

  * Fix debian watch

 -- Christian Bayle <bayle@debian.org>  Mon, 07 Apr 2025 22:57:42 +0200

gatos (0.0.5-21) unstable; urgency=medium

  * Add VCS-Browser enad VCS-Git to salsa
  * Set libibtk-dev dependency >= 0.0.14-16

 -- Christian Bayle <bayle@debian.org>  Sat, 22 Feb 2025 14:48:03 +0100

gatos (0.0.5-20) unstable; urgency=medium

  * Massive cleanup for libtools
  * Add support for amd64
  * Add support for autotoold
  * Fix many lintian warnings
  * Fix national encoding converting to utf-8
  * Add missing misc:Depends in control file
  * Fix man section for gatos and gatos.comf
  * Set watch file
  * Add Keywords in xatitv.desktop
  * Set Forwarded as not needed on patches
  * Replace dh_movefiles with dh_install
  * Fix national encoding converting to utf-8
  * Fix many lintian warnings
  * Add support for autotoold
  * Add support for amd64
  * Fix error in patch
  * Massive cleanup for libtools

 -- Christian Bayle <bayle@debian.org>  Sat, 22 Feb 2025 01:54:53 +0100

gatos (0.0.5-19.2) unstable; urgency=high

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965534)

 -- Adrian Bunk <bunk@debian.org>  Fri, 10 Feb 2023 01:40:51 +0200

gatos (0.0.5-19.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -fcommon to workaround FTBFS with gcc 10.
    (Closes: #982379)
  * Depend on libjpeg-turbo-progs instead of libjpeg-progs.
    (Closes: #813388)
  * Add a desktop file for xatitv. (Closes: #589540)
  * Update to the non-dead homepage in various places. (LP: #557844)

 -- Adrian Bunk <bunk@debian.org>  Sat, 27 Feb 2021 23:37:23 +0200

gatos (0.0.5-19) unstable; urgency=low

  * Replace x-dev with x11proto-core-dev (Closes: #515375)

 -- Christian Bayle <bayle@debian.org>  Mon, 27 Apr 2009 22:27:30 +0200

gatos (0.0.5-18) unstable; urgency=low

  * Applied patch to rename scanpci as scanpci.gatos to avoid naming conflict 
    with Xorgs scanpci (Closes: #457209)

 -- Christian Bayle <bayle@debian.org>  Sun, 13 Jan 2008 17:50:16 +0100

gatos (0.0.5-17) unstable; urgency=low

  * Applied patch. It corrects the problems with extra tokens after
  #endif and remove min/max operators. (Closes: #394930)

 -- Christian Bayle <bayle@debian.org>  Tue, 18 Dec 2007 21:16:55 +0100

gatos (0.0.5-16) unstable; urgency=low

  * It was reported that gatos has incorrect deb tag for package
  (no music notation) but I don't see such a debtag (Closes: #325641)
  * FTBFS: build-depends on removed xlibs-dev is solved (Closes: #346686)
  * FTBFS: invalid lvalue in assignment is solved (Closes: #337269)
  * Also try to find /etc/X11/xorg.conf (Closes: #329674) gatos: try to access
    to /etc/X11/XF86Config
  * Remade libtool stuffs
  * I'm not sure this package is still functionnal, not having any more ati tv board
    to test it.

 -- Christian Bayle <bayle@debian.org>  Wed, 18 Jan 2006 01:14:47 +0100

gatos (0.0.5-15) unstable; urgency=high

  * Apply patch to eliminates a vulnerability
  * Corrected size calculation to fix a buffer overflow
  * [src/xutils.c, CAN-2005-0016] like Non Maintainer Update
  * from stable version
  * Added forgotten install of some extra doc 

 -- Christian Bayle <bayle@debian.org>  Sat, 15 Jan 2005 01:13:25 +0100

gatos (0.0.5-14) unstable; urgency=low

  * Rebuild with a proper libgcc (closes: #279980)

 -- Christian Bayle <bayle@debian.org>  Sat,  6 Nov 2004 20:46:56 +0100

gatos (0.0.5-13) unstable; urgency=low

  * Suggest mpeg2dec instead of ucbmpeg (closes: #279386) 

 -- Christian Bayle <bayle@debian.org>  Thu,  4 Nov 2004 00:42:47 +0100

gatos (0.0.5-12) unstable; urgency=low

  * Apply patch to eliminates a vulnerability where system() trusts
    the PATH environment variable (CAN-2004-0395) (closes: #251627)
    like in NMU from stable version
  * Some cleanup in #endif in src/xatitv.cpp that was creating compile
    warnings

 -- Christian Bayle <bayle@debian.org>  Mon, 31 May 2004 18:19:20 +0200

gatos (0.0.5-6woody1) stable-security; urgency=high

  * NMU by the Security Team
  * Don't attempt to use system() to run the configuration program; just print
    a message instead.  This eliminates a vulnerability where system() trusts
    the PATH environment variable (CAN-2004-0395)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  1 May 2004 23:08:24 -0700

gatos (0.0.5-11) unstable; urgency=low

  * updated acinclude.m4 and m4/libtool.m4
  * libtoolize -c -f; aclocal; autoconf; autoheader
  * Added info in control file about no support
  for ATI AIW Radeon (closes: #197055) 

 -- Christian Bayle <bayle@debian.org>  Sat, 19 Jul 2003 01:52:53 +0200

gatos (0.0.5-10) unstable; urgency=low

  * Change package section from utils to misc 

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 02:13:21 +0200

gatos (0.0.5-9) unstable; urgency=low

  * Change libgatos-dev to section libdevel 

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 01:31:20 +0200

gatos (0.0.5-8) unstable; urgency=low

  * Corrected Invalid preprocessor pasting for gcc3 (closes: #196401)
  * Removed debian/conffiles to make lintian happy

 -- Christian Bayle <bayle@debian.org>  Wed, 25 Jun 2003 00:58:42 +0200

gatos (0.0.5-7) unstable; urgency=low

  * Package now in section utils (closes: #145096) 
  * Package is not intended to work with AIW 8500DV (closes: #157211)
  * Old irrelevant bug on build-depends	(closes: #123706)

 -- Christian Bayle <bayle@debian.org>  Mon,  4 Nov 2002 00:32:52 +0100

gatos (0.0.5-6) unstable; urgency=low

  * Changed bad dependancy for libgatos-dev (closes: #142475)
  * I tried to compile with sparc, but it doesn't seem to be
  easy, so I consider gatos to be i386 only (closes: #141715)
  as it was formaly (closes: #138702)

 -- Christian Bayle <bayle@debian.org>  Fri, 12 Apr 2002 12:55:33 +0200

gatos (0.0.5-5) unstable; urgency=low

  * Change for autobuilder

 -- Christian Bayle <bayle@aist.enst.fr>  Thu, 14 Mar 2002 01:35:31 +0100

gatos (0.0.5-4) unstable; urgency=low



=== debian/control ===
Source: gatos
Section: misc
Priority: optional
Maintainer: Christian Bayle <bayle@debian.org>
Build-Depends: debhelper-compat (= 10),
	libibtk-dev (>=0.0.14-16),
	libx11-dev,
	libxxf86dga-dev,
	libxxf86vm-dev,
	x11proto-core-dev
Standards-Version: 4.7.0
Homepage: http://gatos.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/debian/gatos
Vcs-Git: https://salsa.debian.org/debian/gatos.git

Package: gatos
Architecture: i386 amd64
Suggests: mpeg2dec
Depends: ${shlibs:Depends},
	netpbm,
	libjpeg-turbo-progs,
	${misc:Depends}
Description: ATI All-in-Wonder TV capture software
 The General ATI TV and Overlay Software (GATOS) suite for
 capturing video.  This package does not require kernel
 patches, and includes:
   * xatitv: GUI TV-in-a-window application
        GUI access to all GATOS functionality, save tv-out.
   * atitv: Simple text-mode program
        Basic functionality to record video and toggle tv-out.
   * atitoppm:
   * atitogif:
   * atitojpg:
        YUV conversion utilities
   * yuvsum: video field to frame converter
        Averages all images in gatos.yuv (must all
        be same size).
   * atisplit: YUV conversion to ucbmpeg
        This splits the output file for MPEG encoding.
  This software is not intended to support most recent ATI AIW Radeon

Package: libgatos-dev
Section: libdevel
Architecture: i386 amd64
Depends: libgatos0 (= ${binary:Version}),
	libc6-dev,
	${misc:Depends}
Description: General ATI TV and Overlay Software(GATOS): Dev Lib and Headers
 The General ATI TV and Overlay Software (GATOS) suite for
 capturing video. Dev Lib and Headers.

Package: libgatos0
Section: libs
Architecture: i386 amd64
Depends: ${shlibs:Depends},
	${misc:Depends}
Description: General ATI TV and Overlay Software(GATOS): Runtime Libraries
 The General ATI TV and Overlay Software (GATOS) suite for
 capturing video. Runtime Libraries.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LIBTOOLIZE=true
#export DEB_BUILD_MAINT_OPTIONS="hardening=+all"
#export DEB_CFLAGS_MAINT_APPEND="-Wall -pedantic"
#export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   := -O2 -Wall -fcommon -fpermissive $(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS := -O2 -Wall $(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  := $(shell dpkg-buildflags --get LDFLAGS)
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif

configure: configure-stamp
configure-stamp:
	# Change section for some man files
	mv man/fr/gatos.1 man/fr/gatos.7
	perl -pi -e 's/gatos\.1/gatos.7/' man/fr/Makefile.am
	perl -pi -e 's/TH GATOS 1/TH GATOS 7/' man/fr/gatos.7
	mv man/en/gatos.1 man/en/gatos.7
	perl -pi -e 's/gatos\.1/gatos.7/' man/en/Makefile.am
	perl -pi -e 's/TH GATOS 1/TH GATOS 7/' man/en/gatos.7
	#
	mv man/en/gatos.conf.1.in man/en/gatos.conf.5.in
	rm man/en/gatos.conf.1
	perl -pi -e 's/gatos\.conf\.1/gatos.conf.5/g' man/en/Makefile.am
	perl -pi -e 's/TH gatos.conf 1/TH gatos.conf 5/' man/en/gatos.conf.5.in
	#
	mv man/fr/gatos.conf.1.in man/fr/gatos.conf.5.in
	rm man/fr/gatos.conf.1
	perl -pi -e 's/gatos\.conf\.1/gatos.conf.5/g' man/fr/Makefile.am
	perl -pi -e 's/TH gatos.conf 1/TH gatos.conf 5/' man/fr/gatos.conf.5.in
	#
	dh_testdir
	./autogen.sh
	CC="g++" dh_auto_configure -- --without-kernel-delay --enable-shared --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
	touch configure-stamp

build: build-arch build-stamp
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) CC=gcc CFLAGS="$(CFLAGS)"
	#/usr/bin/docbook-to-man debian/gatos.sgml > gatos.1
	touch build-stamp

clean:
	dh_testdir
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.log compile missing configure \
		m4/ltoptions.m4 \
		m4/ltsugar.m4 \
		m4/ltversion.m4 \
		m4/lt~obsolete.m4 \
		m4/libtool.m4 \
		aclocal.m4 \
		acinclude.m4
	# Automake generated
	rm -f config.guess config.sub config.status INSTALL install-sh ltmain.sh \
		Makefile.in \
		docs/Makefile.in \
		gfxdump/Makefile.in \
		m4/Makefile.in \
		man/Makefile.in \
		po/Makefile.in \
		src/Makefile.in \
		tech-docs/Makefile.in \
		*/*/Makefile.in
	# PO generated
	#rm -f po/fr/atisplit.gmo \
	#	po/fr/atitogif.gmo \
	#	po/fr/atitojpg.gmo \
	#	po/fr/atitoppm.gmo \
	#	po/fr/gatos.gmo \
	#	po/fr/yuvsum.gmo
	# Other generated
	rm -f	gatos.spec intl/po2tbl.sed po/POTFILES
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/gatos.
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr docdir=$(CURDIR)/debian/tmp/usr/share/doc/gatos
	mkdir -p $(CURDIR)/debian/gatos/etc
	install -m 644 debian/gatos.conf $(CURDIR)/debian/gatos/etc/gatos.conf
	mkdir -p $(CURDIR)/debian/gatos/usr/share/applications
	install -m 644 $(CURDIR)/debian/xatitv.desktop $(CURDIR)/debian/gatos/usr/share/applications/xatitv.desktop

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	#chmod 4755 $(CURDIR)/debian/gatos/usr/bin/xatitv
	#chmod 4755 $(CURDIR)/debian/gatos/usr/bin/atitv
	mv debian/gatos/usr/bin/scanpci debian/gatos/usr/bin/scanpci.gatos
	mv debian/gatos/usr/share/man/man1/scanpci.1.gz debian/gatos/usr/share/man/man1/scanpci.gatos.1.gz
	mv debian/gatos/usr/share/man/fr/man1/scanpci.1.gz debian/gatos/usr/share/man/fr/man1/scanpci.gatos.1.gz
	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
